Upgraded to Win7 x64 and im a bit confused. (as always).

Already have 32-bit Java installed (Netbeans bundle) but the Virtualbox seems to be located in the 64-bit folder.

So, what version of the SDK do I install?

Is it ok to use the 32-bit version or do I have to replace Java 32-bit with 64-bit and then install the 64-bit SDK?